Bug 645529 - bind-dyndb-ldap 0.1.0-0.15.b built without $RPM_OPT_FLAGS
bind-dyndb-ldap 0.1.0-0.15.b built without $RPM_OPT_FLAGS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bind-dyndb-ldap (Show other bugs)
rawhide
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2010-10-21 14:01 EDT by Ville Skyttä
Modified: 2013-04-30 19:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-22 03:24:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2010-10-21 14:01:56 EDT
http://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags

bind-dyndb-ldap 0.1.0-0.15.b is built without $RPM_OPT_FLAGS; 0.14.b did not have this problem.  Possible (untested) fix:

-export CFLAGS="`isc-config.sh --cflags dns`"
+export CFLAGS="`isc-config.sh --cflags dns` $RPM_OPT_FLAGS"
Comment 1 Adam Tkac 2010-10-22 03:18:22 EDT
Good catch, thank you for report.
Comment 2 Adam Tkac 2010-10-22 03:24:58 EDT
Fixed in bind-dyndb-ldap-0.1.0-0.16.b.fc15.

Note You need to log in before you can comment on or make changes to this bug.